Jump to content
Rich

Сделай свою работу в Solidworks эффективнее

Recommended Posts

Diimon

Т.к. у Diimon возникли проблемы с установкой программки, котороя писалась для M.A.N.T.A

то прицепил по новой полный *.msi файл.

P.S. Просьба отписаться как прошла установка, а то непонятки какие-то. У меня с ней, с установкой то, проблем нет, хотя и не работаю с этой програмкой.

Установка прошла успешно, осталось протестировать... :clap_1:

post-18860-1231586062.jpg

Share this post


Link to post
Share on other sites


MiRu

API и координатий

С какие координатий надо работать в API ? "Sketch' или 'Model' коорд..? Нужно ли работат с 'transform'.. функции?

Заранее спасибо об информации

Edited by MiRu

Share this post


Link to post
Share on other sites
SERoz

Столкнулся с проблемой адаптации старых макросов (типа НШ.swp и Osn_nadp) к 2009 Солиду...

При запуске НШ.swp получаю

А при запуске Osn_nadp

Чего можно подправить что бы новый API начал понимать старые макросы????

Share this post


Link to post
Share on other sites
Shvg

Чего можно подправить что бы новый API начал понимать старые макросы????

К сожалению, у меня нет этих макросов, но на вскидку...

В первом случае:

Source = swApp.GetCurrentMacroPathName ' получает путь исполняемого в данный момент времени макроса

Source = Left& (Source, Len(Source)-3) + "exe" ' заменяет расширение на exe

MyAppID = Shell(Source, 1) 'запускает исполняемую программу по пути прописанному в Source
Т.е. если в указанной строке происходит ошибка, то невозможно запустить указанный файл. Возможно, что путь неправильный...Посмотри полученный результат во второй строке...

Во втором случае, по всей видимости, надо переписать кусочек кода и ввести функцию ISketchManager::InsertSketchBlockInstance

Share this post


Link to post
Share on other sites
SERoz

Shvg спасибо за ответ - к сожалению в этом API почти полный веник (хотя давно был знаком с Basic'ом)...

Но пробовал рассматривать эти макросы в редакторе:

в первом случае - при наведении курсора на Source показывается путь к файлу (правильный), но попробую ещё покопаться...

во втором случае - пробовал заменять кусочек кода на функцию ISketchManager::InsertSketchBlockInstance , но так как делал это методом научного тыка (т.к. не знаю что это за функция и куда, а главное как её прописать), то и получил ещё больше ошибок....

Что ж, придётся наверное браться за описание API - может и освою его (для прикладных задач)...

А макросы старые, но удобные (в 2008 работали без вопросов - брал вроде с pogruzka.com или где-то на форуме)...

Спасибо...

Share this post


Link to post
Share on other sites
Kelny

При запуске НШ.swp получаю

В вашем случае вероятно нет рядом с макросом (в той же папке) файла с именем НШ.exe. Возможно файл имеет имя отличное от макроса, дайте файлам SWP и EXE одинаковые имена и положите их в одну папку. Или например задайте имя для запуска в ручную вместо Source, например, "C:\НШ.exe" (соответсвенно ваш путь к файлу)

Я проверил: лежат рядышком в одном каталоге.

А названия у файлов должны быть одинаковые?

У меня: НШ.swp и НШ-SW.exe. Может дело в этом...

Поменял у EXE-шника имя на "НШ" и всё заработало smile.gif .

(Сейчас в одной папке лежат: НШ.swp и НШ.exe.)

Источник: http://fsapr2000.ru/index.php?s=&show...ost&p=97642

А при запуске Osn_nadp

Кажется как-то так:

Dim swApp As SldWorks 'Уже есть у вас в коде возможно swApp имеет другое имя

Dim ModelDoc2 As SldWorks.ModelDoc2 'Уже есть у вас в коде



Dim swSketchMgr As SldWorks.SketchManager

Dim swSketchBlockDef  As SldWorks.SketchBlockDefinition

Dim swMathPoint As SldWorks.MathPoint

Dim swMathUtil As SldWorks.MathUtility

Dim nPt(2) As Double

Dim vPt As Variant



swSketchMgr = ModelDoc2.SketchManager;

Set swMathUtil = swApp.GetMathUtility



' Define an insertion point

	nPt(0) = 60# / 1000#

	nPt(1) = -60# / 1000#

	nPt(2) = 0#

	vPt = nPt

	Set swMathPoint = swMathUtil.CreatePoint(vPt)



'Create block definition from block file

'Use the path and name of your drawing

Set swSketchBlockDef = swSketchMgr.MakeSketchBlockFromFile(swMathPoint, "C:\\Samples\\TestBlock.SLDBLK", false, 1, 0)

А макросы старые, но удобные (в 2008 работали без вопросов - брал вроде с pogruzka.com или где-то на форуме)...

Второй не должен был работать под SW2008, т.к. эти изменения в API-интерфейс внесены ещё с SW2007, возможно у вас где-то есть уже исправленная версия макроса.

Share this post


Link to post
Share on other sites
SERoz

Kelny

Вы правы файла ЕХЕ не было (переставлял всю систему полностью и куда-то он подевался)...

Закинул файлик ЕХЕ в папку НШ (правда не помню делал что в макросе или нет) - вообщем всё теперь работает...

Osn_nadp дествительно тяну с 2007, в 2008 всё работает без проблем - только при запуске выдаёт сообщение что "макрос не смог определить тип док-та" и 2 кнопки - чертёж или текстовый...

После этого всё работает....

Кстати в 2009 почему-то всё заработало как в 2008 (без исправлений) - ну и ладушки...

Спасибо...

Share this post


Link to post
Share on other sites
Странник

Новый вопрос.

Знает ли кто ни будь способ гасить или высвечивать элементы дерева проекта посредством представленной на картинке логической операции в уравнениях SolidWorks?

Может конфигурации детали переключить, как вариант, или ещё что ни будь?

P.S. Если ни кто не знает, то это тоже результат.

Share this post


Link to post
Share on other sites
F1Andrew

В свойствах конфигурации делаете свойство"Состояние отображения"(путём клика на элементе, который требуется погасить)

задаёте параметр"погашен" или "не погашен" соответственно.

Share this post


Link to post
Share on other sites
Странник

В свойствах конфигурации делаете свойство"Состояние отображения"(путём клика на элементе, который требуется погасить)

задаёте параметр"погашен" или "не погашен" соответственно.

Наверно я очень сильно сдал за последние 2 года, ибо ничего у меня не получилось. :dry:

Однако этот вопрос по сути своей именно то, на чём SolidWorks очень крепко обходят ProE, NX и CATIA. Посему, не сочтите за труд - подвесьте сюда более подробное описание, как для школьника или генерала. Или доработайте под сказанное прикреплённую модель.

А нужно мне реализовать посредством (IIf("D1@Эскиз1">100, (...,....)

буквально следующее: если размер меньше 100 то центрального утолщения нету, если больше - то есть.

Share this post


Link to post
Share on other sites
Shvg

А нужно мне реализовать посредством (IIf("D1@Эскиз1">100, (...,....)

буквально следующее: если размер меньше 100 то центрального утолщения нету, если больше - то есть.

Может так? SW2008....

P.S. Почему то не люблю в таких случаях Revolve, предпочитаю Extrude... Хотя, конечно, дело вкуса...

Proba_1.rar

Share this post


Link to post
Share on other sites
Странник

Может так? SW2008....

P.S. Почему то не люблю в таких случаях Revolve, предпочитаю Extrude... Хотя, конечно, дело вкуса...

Так не пойдёт, ибо далеко не всегда возможно опустить какой либо элемент заподлицо с другими.

Вся соль в том, что бы именно погасить.

Таким путём можно по идее обойти схождение в 0, моделировать упругие элементы и ещё много чего.

Share this post


Link to post
Share on other sites
Shvg

Сожалею. Хотя условия

А нужно мне реализовать посредством (IIf("D1@Эскиз1">100, (...,....)

буквально следующее: если размер меньше 100 то центрального утолщения нету, если больше - то есть.

соблюдены. В уравнениях, насколько мне известно, нельзя управлять состоянием отдельных элементов, только состоянием самого уравнения. Можно попробовать через Design Table задать условие, правда там таблица и соответственно, деталь обновляются только при сохранении файла или после захода в режим редактирования этой таблицы, что не совсем удобно. Ни светофор, ни Ctrl+Q не помогают.

P.S. C Design Table мало работаю....

Share this post


Link to post
Share on other sites
Странник

В уравнениях, насколько мне известно, нельзя управлять состоянием отдельных элементов, только состоянием самого уравнения. Можно попробовать через Design Table задать условие, правда там таблица и соответственно, деталь обновляются только при сохранении файла или после захода в режим редактирования этой таблицы, что не совсем удобно. Ни светофор, ни Ctrl+Q не помогают.

P.S. C Design Table мало работаю....

Действительно очень жаль.

Может макрос какой кто ни будь может предложить?

В прочем, для моделирующего, тем более проектирующего народа это конечно не очень сподручный вариант.

Share this post


Link to post
Share on other sites
Kelny

Действительно очень жаль.

Может макрос какой кто ни будь может предложить?

В прочем, для моделирующего, тем более проектирующего народа это конечно не очень сподручный вариант.

Рискну предположить, что подобное можно попробовать реализовать в таблице параметров средствами Excel.

Share this post


Link to post
Share on other sites
Nikona

Так не пойдёт, ибо далеко не всегда возможно опустить какой либо элемент заподлицо с другими.

Вся соль в том, что бы именно погасить.

Таким путём можно по идее обойти схождение в 0, моделировать упругие элементы и ещё много чего.

И не только таким ...

post-7290-1234556301_thumb.jpg

... если конечно не ставить ццель обязательного наличия "погасить"

Share this post


Link to post
Share on other sites
ssv22

Рискну предположить, что подобное можно попробовать реализовать в таблице параметров средствами Excel.

И предполагать тут нечего!

Я такое делал:

- в ячейке состояния элемента ввел формулу: " Если(С5>100;"Пог";"Непог") "

- в ячейке С5 находится "контрольный" размер. (может, конечно и в другой ячейке, значит, надо формулу подкорректировать).

Только все это работает "коряво" : надо заходить в редактирование таблицы, чтобы изменения вступили в силу, про это писал выше Shvg

Мне легче макрос написать...

Share this post


Link to post
Share on other sites
Странник

И предполагать тут нечего!

Я такое делал:

- в ячейке состояния элемента ввел формулу: " Если(С5>100;"Пог";"Непог") "

- в ячейке С5 находится "контрольный" размер. (может, конечно и в другой ячейке, значит, надо формулу подкорректировать).

Только все это работает "коряво" : надо заходить в редактирование таблицы, чтобы изменения вступили в силу, про это писал выше Shvg

Мне легче макрос написать...

Сколько уже про надёжную и быстродействующую связь с Excel было говорено.. :wallbash:

Наверняка макрос такого рода совершенно не пригоден в качестве прототипа для универсального плагинчика? :g:

Share this post


Link to post
Share on other sites
ssv22

Сколько уже про надёжную и быстродействующую связь с Excel было говорено.. :wallbash:

Наверняка макрос такого рода совершенно не пригоден в качестве прототипа для универсального плагинчика? :g:

Что-то не уловил смысла данного высказывания.

И почему "макрос такого рода" не пригоден, да еще и "совершенно"?

Откуда такая категоричность?

И какой-такой "универсальный плагинчик" Вы хотите иметь ?

Share this post


Link to post
Share on other sites
Kelny

И какой-такой "универсальный плагинчик" Вы хотите иметь ?

Большая красная кнопка в центре экрана: СДЕЛАТЬ_ЗАДУМАННОЕ

Share this post


Link to post
Share on other sites
Странник

Большая красная кнопка в центре экрана: СДЕЛАТЬ_ЗАДУМАННОЕ

Kelny, в данном случае вы многовато на себя взяли. Впредь пожалуйста воздержитесь от таких высказываний. Или будете утверждать, что умеете ещё и мысли читать?

К тому же учтите, нужная мне функциональность много лет назад появилась в других CAD и мне совершенно непонятно почему её нет в SolidWorks, за теже деньги.

Too all

Итак, требуется переключать наборы действий формообразования в детали и сопряжений в сборке, как функции от внешних или внутренних параметров модели. Примером могут послужить любые детали или материалы чья геометрия является функцией от времени. Если угодно, то это шаг в сторону физического моделирования и многопараметрической оптимизации сложной технической системы.

Если просто не очень понятен вопрос, то пояню ещё раз:

существуют ли какие ни будь дополнительные технические трудности, что способны помешать выполняющему названные операции макросу перерости в постоянно жувущую в панелях инструментов команду, что будет вызывать состоящую из как минимум 3 столбцов и произвольного каличества строчек таблицу (не Excel):

1 столбик - обрабатываемый элемент;

2 столбик - управляющий параметр;

3 столбик - значение управляющего параметра, с логическим оператором.

При чём само это обращение явно должно отметиться ещё и в дереве проекта как фичер.

Трудности иногда возникают, посему и очень полезно бывает сперва спросить у людей опытных в данном конкретном вопросе.

Share this post


Link to post
Share on other sites
ssv22

Kelny, в данном случае вы многовато на себя взяли. Впредь пожалуйста воздержитесь от таких высказываний. Или будете утверждать, что умеете ещё и мысли читать?

К тому же учтите, нужная мне функциональность много лет назад появилась в других CAD и мне совершенно непонятно почему её нет в SolidWorks, за теже деньги.

...

Это вопрос скорее к разработчикам SW. Если Вас не устраивает функциональность SW, значит нужго переходить на "другие CAD`ы"...

...

Too all

Итак, требуется переключать наборы действий формообразования в детали и сопряжений в сборке, как функции от внешних или внутренних параметров модели. Примером могут послужить любые детали или материалы чья геометрия является функцией от времени. Если угодно, то это шаг в сторону физического моделирования и многопараметрической оптимизации сложной технической системы.

Если просто не очень понятен вопрос, то пояню ещё раз:

существуют ли какие ни будь дополнительные технические трудности, что способны помешать выполняющему названные операции макросу перерости в постоянно жувущую в панелях инструментов команду, что будет вызывать состоящую из как минимум 3 столбцов и произвольного каличества строчек таблицу (не Excel):

1 столбик - обрабатываемый элемент;

2 столбик - управляющий параметр;

3 столбик - значение управляющего параметра, с логическим оператором.

При чём само это обращение явно должно отметиться ещё и в дереве проекта как фичер.

Трудности иногда возникают, посему и очень полезно бывает сперва спросить у людей опытных в данном конкретном вопросе.

Так что Вас, в конце-концов, интересует:

- "существование каких-либо дополнительных технических трудностей, что способны помешать..." (Весьма интересная постановка вопроса, с заранее негативной установкой)

или

- возможность создания данного инструмента?

Лично я никаких трудностей тут я не вижу.

Все даже очень элементарно реализуемо...

Share this post


Link to post
Share on other sites
Странник

Лично я никаких трудностей тут я не вижу.

Все даже очень элементарно реализуемо...

Замечательно, спасибо.

P.S. Правило "Семь раз отмерь, один отрежь" ещё ни кто не отменял.

Share this post


Link to post
Share on other sites
olen

провел в космосе расчет. показано искревление заготовки, а вопрос такой может ли программа показать картину искревления и линии неискревленной детали на одной картине сразу

Share this post


Link to post
Share on other sites
ssv22

провел в космосе расчет. показано искревление заготовки, а вопрос такой может ли программа показать картину искревления и линии неискревленной детали на одной картине сразу

Вроде как не в тему вопрос-то...

Ну да ладно. Какой космос-то, версия?

Если имеется ввиду возможность совместного отображения деформированного и недеформированного состояний детали, то ответ "Да".

См. Help:

"Settings

The Settings PropertyManager allows you to control the display of the active fringe plot, the display of the model boundary, and the

display of the deformed shape of the model.

To control the display of the active plot:

...

"

Share this post


Link to post
Share on other sites
Kelny

ArhivSearch3(e2009)

Программа поиска файлов по указанным путям и просмотра найдённых файлов.

Ввод строки поиска может осуществляться непосредственным вводом необходимого запроса.

Так же ввод может осуществляться по заданной маске, которая исключает неправильный ввод принятых на предприятии названий файлов.

post-6363-1234665185_thumb.png

Скачать программу: ArhivSearch3(e2009)

Системные требования:

Windows XP SP2 или позднее

Необходимое программное обеспечение для работы программы:

Microsoft .NET Framework 3.5

Доступно для скачивания с официального сайта программы:

http://www.microsoft.com/downloads/details...31-508d977d32a6

DsoFileSetup_KB224351_x86.exe

Доступно для скачивания с официального сайта программы: http://support.microsoft.com/kb/224351

eDrawings2009FullEnglish.exe

(!программа работает только с eDrawings версии 2009!) На данный момент можно скачать по адресу:

Доступно для скачивания с официального сайта программы: http://www.edrawingsviewer.com/pages/produ...Viewerpage.html

Рекомендуемое программное обеспечение (Возможна работа программы без установки этих программ, необходимы для просмотра соответствующих файлов Altium P-CAD и/или MS Word):

P-CAD2006Viewer.exe – просмотр файлов Altium P-CAD P_CAD2006Viewer.zip Доступно для скачивания с официального сайта программы: http://www.pcad.com/resources/downloads/vi..._downloads.aspx

WDVIEWER.EXE – просмотр файлов MS Word

Доступно для скачивания с официального сайта программы:

http://www.microsoft.com/downloads/details...;displaylang=en

Share this post


Link to post
Share on other sites
Kelny

ArhivSearch3(e2007)

post-6363-1235116039.gif

Скачать можно здесь: ArhivSearch3(e2007)

(!программа работает только с eDrawings версии 2007!)

Остальное смотри предыдущее сообщение!

Share this post


Link to post
Share on other sites
Kelny

Что у нас случилось с пректом:

<noindex>http://www.pogruzka.com/julio</noindex>

Вероятно кризис...

Но, думаю, ни кто больше чем сам автор не расскажет Хулиос

И, собственно, если перейти на <noindex>http://www.pogruzka.com/</noindex> в кодировку Юникод, то можно увидеть сообщение следующего содержания:

Матрицо... Перезагрузко продолжаецо...

Share this post


Link to post
Share on other sites
Kelny

Знает ли кто ни будь способ гасить или высвечивать элементы дерева проекта посредством представленной на картинке логической операции в уравнениях SolidWorks?

Может конфигурации детали переключить, как вариант, или ещё что ни будь?

P.S. Если ни кто не знает, то это тоже результат.

Может поможет инструмент DriveWorksExpress, имеется в SW2008 и позднее:

post-6363-1235113650_thumb.png

Share this post


Link to post
Share on other sites
BRAT1

Доброе время суток , подскажите пожалуйста , где взять базу данных материалов по ГОСТ с сортаментом или без. Читал на форуме ранее ( с 90-го сообщения ), что такая база есть или что-то похожее но все ссылки не рабочие .

Лично я создал часто применяемые стали и сплавы и юзаю их в модели только для определения общего веса сборки, а на чертеже ставлю блок типа -

2 ГОСТ 19904-90

Лист

08Х18Н10 ГОСТ 5582-75.

И ещё вопрос : может есть что-то наподобии $PRP:"SW- Масштаб листа(Sheet Scale)" но для масштаба настраевоемого пользователем . Ато масшатаб листа иногда не подходит и потом приходится залазить в свойства листа и ставить масштаб ручками.

Заранее спасибо .

Edited by BRAT1

Share this post


Link to post
Share on other sites
SERoz

BRAT1

По базе Вам сюды...

Про масштаб - ручками в инадо править или можно смаштабировать сам вид...

Share this post


Link to post
Share on other sites
ILL

 

Лично я создал часто применяемые стали и сплавы и юзаю их в модели только для определения общего веса сборки, а на чертеже ставлю блок типа -

2 ГОСТ 19904-90

Лист

08Х18Н10 ГОСТ 5582-75.

В модели детали добавляете свойство "Материал" или "Material" и присваиваете, например, значение:

Лист<STACK size=1>Б 6 ГОСТ 19903-74<OVER>12Х18Н10Т-М3б ГОСТ 7350-77</STACK>

или

<STACK size=1>Лист Б 6 ГОСТ 19903-74<OVER>12Х18Н10Т-М3б ГОСТ 7350-77</STACK>

Я использую второй вариант.

На чертеже в штампе в графе "Материал" вставляете текст:

ТУТ_ПРОБЕЛ$PRPSHEET:"Material"

PS. Можно использовать базу материалов компаса. я недавно в другой теме объяснял как.

Share this post


Link to post
Share on other sites
BRAT1

В модели детали добавляете свойство "Материал" или "Material" и присваиваете, например, значение:

Лист<STACK size=1>Б 6 ГОСТ 19903-74<OVER>12Х18Н10Т-М3б ГОСТ 7350-77</STACK>

или

<STACK size=1>Лист Б 6 ГОСТ 19903-74<OVER>12Х18Н10Т-М3б ГОСТ 7350-77</STACK>

Я использую второй вариант.

На чертеже в штампе в графе "Материал" вставляете текст:

ТУТ_ПРОБЕЛ$PRPSHEET:"Material"

PS. Можно использовать базу материалов компаса. я недавно в другой теме объяснял как.

Попробовал , получилось .. но как я понял это каждый раз надо будет менять толщину листа ( диаметр круга )? Или вставлять новый блок с толщиной листа. А никто не пробовал завязать толщину с функцией в модели ? Ну чтоб при замене толщины в модели автоматом менялась запись на чертеже , ну конечно после регенерации.

Edited by BRAT1

Share this post


Link to post
Share on other sites
ILL

Можно добавить в свойства модели (кстати, так делает та самая библиотека компаса):

"SHAPE"="Лист"

"SORTAMENT"="Б 6 ГОСТ 19903-74"

"MARKA_MATERIAL"="12Х18Н10Т-М3б ГОСТ 7350-77"

а в свойстве "Материал" написать:

<STACK size=3>$PRPSHEET:"SHAPE" $PRP:"SORTAMENT"<OVER>$PRP:"MARKA_MATERIAL"</STACK>

Можно еще круче:

"Толщина"="6"

"SORTAMENT"="Б $PRP:"Толщина" ГОСТ 19903-74"

Вот если б кто нить из здешних гуру еще бы подсказал, как вместо "6" прописать толщину листа из модели то было бы уже круче некуда.

ЗЫ. Сам сообразил:

"Толщина"="D3@Повернуть-Тонкостенный1@001Конус.SLDPRT"

Share this post


Link to post
Share on other sites
Kelny

Вот если б кто нить из здешних гуру еще бы подсказал, как вместо "6" прописать толщину листа из модели то было бы уже круче некуда.

Так как сами и написали:

"Толщина"="6"

"SORTAMENT"="Б $PRP:"Толщина" ГОСТ 19903-74"

В справке: размеры, значения связи/отмены связи

Потом в свойствах: "ИмяРазмераСоСвязью@Деталь1.SLDPRT"

Или прировнять размер к константе, добавив соответвующее уравнение, например, в приведённом вами случае "D1@Вытянуть1" = "Толщина"

Share this post


Link to post
Share on other sites
Странник

Может поможет инструмент DriveWorksExpress, имеется в SW2008 и позднее:

post-6363-1235113650_thumb.png

Попробуем, однако.

Share this post


Link to post
Share on other sites
ILL

Ну это хорошо, если деталь листовая, а если круг, шестигранник, уголок, швеллер или двутавр? Все равно придется писать в свойстве "ИмяРазмераСоСвязью@Деталь1.SLDPRT" .

Кстати, про хелп - у мну половина страниц справки пустые. Где то вроде пробегала инфа как это исправить..

Заодно еще вопрос. как переделать запись

<STACK>Труба 159х6-12Х18Н10Т<OVER> ГОСТ 9941-81</STACK>

чтобы было 2 строки, но без подчеркивания.

Edited by ILL

Share this post


Link to post
Share on other sites
Kelny

как переделать запись

<STACK>Труба 159х6-12Х18Н10Т<OVER> ГОСТ 9941-81</STACK>

чтобы было 2 строки, но без подчеркивания.

<STACK divider=no>Труба 159х6-12Х18Н10Т<OVER>ГОСТ 9941-81</STACK>

Ну это хорошо, если деталь листовая, а если круг, шестигранник, уголок, швеллер или двутавр?

Все равно придется писать в свойстве "ИмяРазмераСоСвязью@Деталь1.SLDPRT" .

Только добавить размеру Значение связи..., после всё так же как и с листовым металлом, даже имя Значения связи можно оставить: Толщина. Выбирается ИмяРазмераСоСвязью из выпадающего списка в строке значения свойства, так же как и масса, объем и т.п.

Кстати, про хелп - у мну половина страниц справки пустые. Где то вроде пробегала инфа как это исправить..

Менять ссылки в реестре или переустанавливать Solidworks предварительно удалив ветки реестра оставшиеся от Solidworks. Вероятно у вас была установлена предыдущая версия Solidworks, вы поставили новую версию Solidworks в новую папку, после чего удалили старую, а все ссылки были на старые файлы Help в папке от предыдущей версии.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

  • Recently Browsing   0 members

    No registered users viewing this page.



  • Сообщения

    • ak762
      вот здесь прочитал http://help.solidworks.com/2017/english/solidworks/cworks/c_analysis_solvers.htm потому что в моих  случаях нелинейный анализ использовался с большими перемещениями и  контактами нет проникновения
    • Jesse
      FFe не работает? почему ? работает же. просто хуже со сходимостью могут быть проблемы..   обычно для этого требуется лицуха..........................
    • mamomot
      Долго сегодня мучил команду "Тело по сечениям". Файл "Учебной версии 16" прикрепил. Вот какую деталь удалось получить: Вот, что получается: Что-то не в порядке с 3Д-путём (выделен красным). Попытка его сделать направляющей, выдает сообщение: "Направляющая не пересекается с профилем": Далее, вот, что не понятно: открыл 2Д окно, в нем организовал плоскость "Слева". Но где на ней то, что я построил на ней же в 3Д окне? Как это в ней отобразить?   Пример_13.grs
    • jtok
      Вы запускаете второй экземпляр SW. Ну или первый экземпляр не выгрузился со старого сеанса, а запускаете еще раз. Диспетчером убейте зависший.
    • mamomot
      Сегодня разобрался... Можно и в 16-ой версии рисовать прямо в 3Д окне...
    • ak762
      быстрее, но в нелинейных анализах или когда используются контакты нет проникновения, он не работает так что "Торопиться не надо"    так спросить можно у техподдержки будет работать Intel Direct Spars на АМД прежде чем брать и рассказать потом что ответили
    • Jesse
      да. тоже заметил, с ним в общем то пошустрее. А так на больших модельках с нормальной сеткой FFEPlus всё равно в разы быстрей. p.s.: планирую покупать комп на базе АМД проца. Мне всё-таки кажется, что это просто название солвера. Должно робить на любых процах, хоть на Байкале..))
    • SilaMusli
      Я ж написал, в 17 будет всё как нужно, а пока имеем что имеем.
    • Борман
      Выставил старческий акцент.
    • karachun
      Он и сейчас есть среди пакетов MSC.
×
×
  • Create New...